function G=Glin_cafe(xl)
%%%%%%%%%
%  Glin_cafe
% 
% Operateur d'observation linearisee 
%
% xl : point de linearisation 
% 
% G : matrice (nobs x 2)
%
%%%%%%%%%%%%%%%%%%%%%%%

% tableau des temps pour le calcul des composantes de y
global timecalG % vecteur colonne des temps 

% stockage de timecalG dans t pour simplifier les notations
t=timecalG;

% restitution de notations du contenu de x
alphal=xl(1); 
Pl=xl(2);

% dH/dalpha (alphal, Pl)
dHsdalpha=-Pl/alphal^2*(1-exp(-alphal*t))+Pl/alphal*t.*exp(-alphal*t);

% dH/dP (alphal, Pl)
dHsdP=1/alphal*(1-exp(-alphal*t));

% matrice G
G=[dHsdalpha  dHsdP];

endfunction
