function visual_cafe(xt,xb,xa,yo,B,R)
%%%%%%%%%%%%%%%/
% visual_cafe 
%
%  Visualisations  des resultats
%     Etat vrai : bleu,  Ebauche : noir,  Analyse : rouge
% 
% calG_cafe.init : operateur d'observation non lineaire
% 
%%%%%%%%%%%%%%%%%%%%%%
% variable globale pour les temps
global timeobs timevisu
global timecalG

% ouverture d'une figure a fond blanc numerote
figure; box on; hold on; grid on
set(gca,'FontName','Vera','FontSize',20,'GridLineStyle','--','LineWidth',1)

% temps pour la visualisation
timecalG=timevisu;

% ebauche
plot(timevisu,calG_cafe(xb),'-k','LineWidth',2)

% analyse
ya=calG_cafe(xa);
plot(timevisu,ya,'-r','LineWidth',2)

% etat vrai
yt=calG_cafe(xt);
plot(timevisu,yt,'-b','LineWidth',2)

% observations
plot(timeobs,yo,'o','LineWidth',2)

% pluies
Pt=xt(2); Pb=xb(2); Pa=xa(2);
plot(timevisu,0*timevisu+Pb,'--k','LineWidth',2)
plot(timevisu,0*timevisu+Pa,'--r','LineWidth',2)
plot(timevisu,0*timevisu+Pt,'--b','LineWidth',2)

% Reglages des axes de la figure 
offset=1.5; % marge des ordonnees 
axis([0 max(timevisu) 0 offset*Pt]);

endfunction
